# Note from Fedora Legal!
# Please, do not update this package to a newer revision.
# Later versions of the "json" upstream source have been relicensed
# under an idiotic license containing an unenforceable clause which
# makes the whole work non-free. Upstream thinks it is funny that their
# immature license causes heartburn for serious users, and is not willing
# to change it, hence, we're stuck here on the version 3 "apache" build.
# - 2012-03-13 - legal@fedoraproject.org

# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:       json
Summary:    JavaScript Object Notation support in Java
URL:        http://www.json.org/java/index.html
Version:    3
Release:    9%{?dist}
License:    ASL 2.0
BuildArch:  noarch
Source0:    http://www.json.org/java/apache.zip
Source1:    %{name}-MANIFEST.MF
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  zip

%description
Java support for the JSON (JavaScript Object Notation) lightweight
data-interchange format.  It is based on a subset of the JavaScript
Programming Language, Standard ECMA-262 3rd Edition - December 1999.
JSON is a text format that is completely language independent but uses
conventions that are familiar to programmers of the C-family of
languages including C, C++, C#, Java, JavaScript, Perl, Python, and many
others.

%package javadoc
Summary:    Javadoc for %{name}
Group:      Documentation
Requires:   jpackage-utils

%description javadoc
API docs for %{name}.

%prep
%setup -q -c
mkdir -p src/org
mv apache src/org

%build
export JAVA_HOME=%{_jvmdir}/java
mkdir -p target/classes
$JAVA_HOME/bin/javac -d target/classes $(find src -name "*.java")
$JAVA_HOME/bin/jar cf target/%{name}.jar -C target/classes org
mkdir -p target/site/apidocs
$JAVA_HOME/bin/javadoc -d target/site/apidocs $(find src -name "*.java")

# inject OSGi manifests
jar uvmf %{SOURCE1} target/%{name}.jar

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp target/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/*

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-5
- Fix javadoc install path.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-4
- Adapt to current guidelines.

* Wed Apr 28 2010 Alexander Kurtakov <akurtako@redhat.com> 3-3
- Add osgi manifest.

* Thu Jul 30 2009 Andrew Overholt <overholt@redhat.com> 3-2
- Update summary/description.
- Resolves bug #511007.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Andrew Overholt <overholt@redhat.com> 2-1
- Some cleanups for Fedora (license, version, tabs vs. spaces).
- Remove maven POM file of unknown origin.
- Use APL-licensed source zip.

* Fri Jan 23 2009 Ralph Apel <r.apel at r-apel.de> 0:20080425-1.jpp5
- First release
